
Foreman - Bug #5168

Setting a host_group parameter to an invalid value doesn't show error

04/11/2014 11:43 PM - Anonymous

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This is when you override a parameter from the host_group. If your parameter is an invalid value, you click submit and it says it

successfully saved your host_group. It returns to the main host_group page. It hasn't saved your parameter and doesn't show that

you submitted an invalid parameter. You have to return to the host_group you were working on to see that no parameter was saved.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Feature #4469: Overriding or setting parameter values sh... Duplicate 02/27/2014

History

#1 - 04/12/2014 12:17 AM - Stephen Benjamin

- Category set to Web Interface

Booleans just don't save, although by all appearances the edit was successful.  #4469 should fix that by making it a drop down.

For other errors like a malformed array, it's a rails error, but the user should probably be returned to the edit form and the bad field should highlighted

red to be consistent with other parts of the UI.

#2 - 04/12/2014 12:18 AM - Stephen Benjamin

- Related to Tracker #4470: Usability of parameters and overrides added

#3 - 04/12/2014 12:19 AM - Stephen Benjamin

- Related to Feature #4469: Overriding or setting parameter values should show available values based on type and validator added

#4 - 10/05/2014 10:14 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#5 - 08/11/2015 09:48 AM - Ori Rabin

- Status changed from Assigned to New

- Assignee deleted (Ori Rabin)

#6 - 08/12/2015 03:12 PM - Anonymous

This also applies to 1.8.1 if a validator rule is set, and the override value doesn't match. In addition to overrides done from a hostgroup edit, it also

fails for host parameter overrides with the same behavior.

#7 - 12/29/2015 03:13 AM - Ori Rabin

- Status changed from New to Resolved

Tested this with nightly, errors are now shown for hostgroup and host overrides.
